Debian Bug report logs - #625507
acer-wmi: acer-wmi kernel module causes wireless to not work

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Zachary Buhman <zbuhman@gmail.com>

Date: Wed, 4 May 2011 00:33:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version 2.6.38-3

Fixed in version 3.0-1

Done: Moritz Muehlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#625507; Package linux-2.6. (Wed, 04 May 2011 00:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Zachary Buhman <zbuhman@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 04 May 2011 00:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Zachary Buhman <zbuhman@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: acer-wmi: acer-wmi kernel module causes wireless to not work
Date: Tue, 03 May 2011 19:27:59 -0500
Package: linux-2.6
Version: 2.6.38-3
Severity: normal
File: acer-wmi
Tags: patch

I'm on an Acer Aspire One 721-3574.

The symptom was that I couldn't enable wireless with any of the usual tricks.
After doing a bit of research and (days) of playing, I finally figured out that
for whatever reason, the acer_wmi kernel module was soft blocking every
wireless card on the laptop (external usb nic's too).

I've pasted an example session here:
http://paste.pound-python.org/show/6077/

acer-wmi is obviously buggy, doesn't seem to provide much utility, and causes
more trouble than it solves.  My suggestion is to blacklist it in wheezy until
the problem is fixed



-- Package-specific info:
** Version:
Linux version 2.6.38-2-amd64 (Debian 2.6.38-3) (ben@decadent.org.uk) (gcc
version 4.4.5 (Debian 4.4.5-15) ) #1 SMP Thu Apr 7 04:28:07 UTC 2011

** Command line:
BOOT_IMAGE=/vmlinuz-2.6.38-2-amd64 root=UUID=61c64b0f-de80-4029-9afb-
4754d1aed692 ro quiet

** Tainted: PWO (4609)
 * Proprietary module has been loaded.
 * Taint on warning.
 * Out-of-tree module has been loaded.

** Kernel log:
[    7.908976] [fglrx] module loaded - fglrx 8.83.6 [Mar  8 2011] with 1 minors
[    9.660165] Adding 1922044k swap on /dev/sda4.  Priority:-1 extents:1
across:1922044k
[    9.664558] EXT4-fs (sda3): re-mounted. Opts: (null)
[   10.112191] EXT4-fs (sda3): re-mounted. Opts: errors=remount-ro
[   10.286724] loop: module loaded
[   10.958641] EXT4-fs (sda2): mounted filesystem with ordered data mode. Opts:
(null)
[   11.048140] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts:
(null)
[   12.522441] RPC: Registered udp transport module.
[   12.522445] RPC: Registered tcp transport module.
[   12.522447] RPC: Registered tcp NFSv4.1 backchannel transport module.
[   12.617306] FS-Cache: Loaded
[   12.702884] FS-Cache: Netfs 'nfs' registered for caching
[   12.755398] Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
[   13.122828] fuse init (API version 7.16)
[   14.874784] input: ACPI Virtual Keyboard Device as
/devices/virtual/input/input13
[   17.207843] atl1c 0000:03:00.0: irq 43 for MSI/MSI-X
[   17.207951] atl1c 0000:03:00.0: atl1c: eth0 NIC Link is Up<100 Mbps Full
Duplex>
[   21.923882] Bluetooth: Core ver 2.15
[   21.923915] NET: Registered protocol family 31
[   21.923918] Bluetooth: HCI device and connection manager initialized
[   21.923922] Bluetooth: HCI socket layer initialized
[   21.948547] Bluetooth: L2CAP ver 2.15
[   21.948551] Bluetooth: L2CAP socket layer initialized
[   21.982740] Bluetooth: RFCOMM TTY layer initialized
[   21.982746] Bluetooth: RFCOMM socket layer initialized
[   21.982748] Bluetooth: RFCOMM ver 1.11
[   22.000041] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   22.000045] Bluetooth: BNEP filters: protocol multicast
[   22.210711] Bluetooth: SCO (Voice Link) ver 0.6
[   22.210715] Bluetooth: SCO socket layer initialized
[   22.474311] [fglrx] ATIF platform detected with notification ID: 0x81
[   22.680694] [fglrx] GART Table is not in FRAME_BUFFER range
[   22.681097] [fglrx] Could not enable MSI; System prevented initialization
[   22.681732] [fglrx] Firegl kernel thread PID: 1491
[   22.681778] [fglrx] Firegl kernel thread PID: 1492
[   22.681822] [fglrx] Firegl kernel thread PID: 1493
[   22.682183] [fglrx] IRQ 18 Enabled
[   23.015768] lp: driver loaded but no devices found
[   23.081704] ppdev: user-space parallel port driver
[   23.877634] [fglrx] Gart USWC size:552 M.
[   23.877638] [fglrx] Gart cacheable size:215 M.
[   23.877645] [fglrx] Reserved FB block: Shared offset:0, size:1000000
[   23.877649] [fglrx] Reserved FB block: Unshared offset:14ffb000, size:5000
[   25.569642] powernow-k8: Found 1 AMD Athlon(tm) II Neo K125 Processor (1 cpu
cores) (version 2.20.00)
[   25.569689] powernow-k8:    0 : pstate 0 (1700 MHz)
[   25.569692] powernow-k8:    1 : pstate 1 (1300 MHz)
[   25.569694] powernow-k8:    2 : pstate 2 (800 MHz)
[   26.493052] vboxdrv: Found 1 processor cores.
[   26.494239] vboxdrv: TSC mode is 'synchronous', kernel timer mode is
'normal'.
[   26.494242] vboxdrv: Successfully loaded version 4.0.4 (interface
0x00160000).
[   27.784032] eth0: no IPv6 routers present
[   36.760213] EXT4-fs (sda3): re-mounted. Opts: errors=remount-ro,commit=0
[   36.859140] EXT4-fs (sda2): re-mounted. Opts: commit=0
[   36.931631] EXT4-fs (sda1): re-mounted. Opts: commit=0
[   85.774344] process `skype' is using obsolete setsockopt SO_BSDCOMPAT
[ 1041.140460] usb 2-1: new high speed USB device using ehci_hcd and address 3
[ 1041.273783] usb 2-1: New USB device found, idVendor=18d1, idProduct=4e22
[ 1041.273793] usb 2-1: New USB device strings: Mfr=1, Product=2,
SerialNumber=3
[ 1041.273801] usb 2-1: Product: Captivate
[ 1041.273806] usb 2-1: Manufacturer: Samsung
[ 1041.273811] usb 2-1: SerialNumber: 3430F06C091F00EC
[ 1041.275984] scsi4 : usb-storage 2-1:1.0
[ 1042.282396] scsi 4:0:0:0: Direct-Access     Android  UMS Composite    0001
PQ: 0 ANSI: 2
[ 1042.282985] scsi 4:0:0:1: Direct-Access     Android  UMS Composite    0001
PQ: 0 ANSI: 2
[ 1042.290098] sd 4:0:0:0: [sdc] Attached SCSI removable disk
[ 1042.293845] sd 4:0:0:1: [sdd] Attached SCSI removable disk
[ 1059.006822] sd 4:0:0:0: [sdc] 27328448 512-byte logical blocks: (13.9
GB/13.0 GiB)
[ 1059.008425] sd 4:0:0:0: [sdc] Write cache: enabled, read cache: enabled,
doesn't support DPO or FUA
[ 1059.013345]  sdc:
[ 1060.338419] FAT: utf8 is not a recommended IO charset for FAT filesystems,
filesystem will be case sensitive!
[ 4032.727471] usb 2-1: USB disconnect, address 3
[ 4032.741138] sd 4:0:0:0: [sdc] Synchronizing SCSI cache
[ 4032.741184] sd 4:0:0:0: [sdc]  Result: hostbyte=DID_NO_CONNECT
driverbyte=DRIVER_OK
[19431.748085] sd 3:0:0:0: [sdb] 3862528 512-byte logical blocks: (1.97 GB/1.84
GiB)
[19431.750561] sd 3:0:0:0: [sdb] No Caching mode page present
[19431.750572] sd 3:0:0:0: [sdb] Assuming drive cache: write through
[19431.754316] sd 3:0:0:0: [sdb] No Caching mode page present
[19431.754326] sd 3:0:0:0: [sdb] Assuming drive cache: write through
[19431.783910]  sdb: sdb1
[19432.845545] FAT: utf8 is not a recommended IO charset for FAT filesystems,
filesystem will be case sensitive!
[20364.127673] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[20549.289105] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[20639.793078] acer-wmi: Acer Laptop WMI Extras unloaded
[20639.823639] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[20642.224241] wlan0: authenticate with 00:13:1a:51:d4:e0 (try 1)
[20642.225929] wlan0: authenticated
[20642.226088] wlan0: associate with 00:13:1a:51:d4:e0 (try 1)
[20642.228775] wlan0: deauthenticated from 00:13:1a:51:d4:e0 (Reason: 1)
[20653.359264] wlan0: authenticate with 00:13:1a:51:d4:e0 (try 1)
[20653.364167] wlan0: authenticated
[20653.364322] wlan0: associate with 00:13:1a:51:d4:e0 (try 1)
[20653.368973] wlan0: deauthenticated from 00:13:1a:51:d4:e0 (Reason: 1)
[20663.086704] wlan0: authenticate with 00:18:39:53:b6:68 (try 1)
[20663.088677] wlan0: authenticated
[20663.088808] wlan0: associate with 00:18:39:53:b6:68 (try 1)
[20663.091957] wlan0: RX AssocResp from 00:18:39:53:b6:68 (capab=0x401 status=0
aid=6)
[20663.091962] wlan0: associated
[20663.092659] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[20673.504103] wlan0: no IPv6 routers present
[22570.670034] FAT: unable to read inode block for updating (i_pos 196481829)

** Model information
sys_vendor: Acer
product_name: Aspire One 721
product_version: V1.07
chassis_vendor: Acer
chassis_version: V1.07
bios_vendor: Phoenix Technologies LTD
bios_version: V1.07
board_vendor: Acer
board_name: Aspire One 721
board_version: V1.07

** Loaded modules:
Module                  Size  Used by
snd_seq_dummy          12503  0
nls_utf8               12456  1
nls_cp437              16553  1
vfat                   17165  1
fat                    45206  1 vfat
vboxnetadp             13143  0
vboxnetflt             24179  0
vboxdrv               171737  2 vboxnetadp,vboxnetflt
powernow_k8            17321  0
mperf                  12411  1 powernow_k8
cpufreq_conservative    13878  0
cpufreq_stats          12713  0
cpufreq_userspace      12576  0
cpufreq_powersave      12454  0
parport_pc             22191  0
ppdev                  12725  0
lp                     17190  0
parport                31650  3 parport_pc,ppdev,lp
sco                    17555  2
bnep                   17424  2
rfcomm                 32744  0
l2cap                  40163  4 bnep,rfcomm
bluetooth              55503  6 sco,bnep,rfcomm,l2cap
binfmt_misc            12914  1
uinput                 17392  1
fuse                   61520  1
nfsd                  258505  2
exportfs               12591  1 nfsd
nfs                   250037  0
lockd                  70844  2 nfsd,nfs
fscache                36071  1 nfs
nfs_acl                12511  2 nfsd,nfs
auth_rpcgss            36692  2 nfsd,nfs
sunrpc                162075  6 nfsd,nfs,lockd,nfs_acl,auth_rpcgss
loop                   22515  0
fglrx                2685062  38
snd_hda_codec_hdmi     22161  1
arc4                   12458  2
snd_hda_codec_realtek   283856  1
ecb                    12737  2
ath9k                  76902  0
mac80211              180997  1 ath9k
ath9k_common           12685  1 ath9k
snd_hda_intel          25946  4
snd_seq_midi           12848  0
ath9k_hw              260582  2 ath9k,ath9k_common
snd_hda_codec          67647  3
snd_hda_codec_hdmi,snd_hda_codec_realtek,snd_hda_intel
snd_rawmidi            22963  1 snd_seq_midi
snd_hwdep              13148  1 snd_hda_codec
snd_pcm_oss            40662  0
snd_mixer_oss          17905  1 snd_pcm_oss
snd_seq_midi_event     13316  1 snd_seq_midi
snd_pcm                67327  5
snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_seq                44678  3 snd_seq_dummy,snd_seq_midi,snd_seq_midi_event
i2c_piix4              12536  0
ath                    21261  2 ath9k,ath9k_hw
snd_seq_device         13155  4 snd_seq_dummy,snd_seq_midi,snd_rawmidi,snd_seq
snd_timer              22658  3 snd_seq,snd_pcm
shpchp                 31221  0
cfg80211              126017  3 ath9k,mac80211,ath
snd                    52280  18
snd_hda_codec_hdmi,snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_rawmidi,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_seq,snd_pcm,snd_seq_device,snd_timer
pci_hotplug            26711  1 shpchp
sparse_keymap          12760  0
tpm_tis                13125  0
tpm                    17726  1 tpm_tis
tpm_bios               12903  1 tpm
edac_core              35344  0
soundcore              13014  1 snd
uvcvideo               57386  0
videodev               57418  1 uvcvideo
v4l2_compat_ioctl32    16575  1 videodev
k10temp                12611  0
i2c_core               23725  2 i2c_piix4,videodev
wmi                    13202  0
ac                     12624  0
edac_mce_amd           17103  0
snd_page_alloc         12969  2 snd_hda_intel,snd_pcm
rfkill                 19014  4 bluetooth,cfg80211
pcspkr                 12579  0
battery                13070  0
power_supply           13475  2 ac,battery
processor              27431  1 powernow_k8
video                  17553  0
evdev                  17475  16
psmouse                55199  0
button                 12994  1 fglrx
serio_raw              12878  0
ext4                  285166  3
mbcache                12930  1 ext4
jbd2                   65157  1 ext4
crc16                  12343  2 l2cap,ext4
usb_storage            43639  1
uas                    13151  0
sd_mod                 35501  7
crc_t10dif             12348  1 sd_mod
ata_generic            12479  0
ahci                   25089  4
libahci                22568  1 ahci
pata_atiixp            12689  0
ohci_hcd               26400  0
ehci_hcd               39529  0
libata                147240  4 ata_generic,ahci,libahci,pata_atiixp
usbcore               122908  6 uvcvideo,usb_storage,uas,ohci_hcd,ehci_hcd
scsi_mod              161457  4 usb_storage,uas,sd_mod,libata
thermal                17330  0
atl1c                  31796  0
nls_base               12753  5 nls_utf8,nls_cp437,vfat,fat,usbcore
thermal_sys            17939  3 video,processor,thermal

** Network interface configuration:
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

# The primary network interface
allow-hotplug eth0
#NetworkManager#iface eth0 inet dhcp

** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP
qlen 1000
    link/ether 00:26:2d:aa:54:d2 brd ff:ff:ff:ff:ff:ff
    inet 10.4.5.3/24 brd 10.4.5.255 scope global eth0
    inet6 fe80::226:2dff:feaa:54d2/64 scope link
       valid_lft forever preferred_lft forever
3: wlan0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP qlen
1000
    link/ether 78:e4:00:f4:5e:62 brd ff:ff:ff:ff:ff:ff
    inet 192.168.1.144/24 brd 192.168.1.255 scope global wlan0
    inet6 fe80::7ae4:ff:fef4:5e62/64 scope link
       valid_lft forever preferred_lft forever
4: vboxnet0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 0a:00:27:00:00:00 brd ff:ff:ff:ff:ff:ff

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes
packets errs drop fifo colls carrier compressed
    lo:  966580    1616    0    0    0     0          0         0   966580
1616    0    0    0     0       0          0
  eth0: 107835827  458693    0 244820    0     0          0     72706 58875661
159733    0    0    0     0       1          0
 wlan0:   77695     238    0    0    0     0          0         0     8194
31    0    0    0     0       0          0
vboxnet0:       0       0    0    0    0     0          0         0        0
0    0    0    0     0       0          0

*** Protocol statistics:
Ip:
    198528 total packets received
    1 with invalid addresses
    0 forwarded
    0 incoming packets discarded
    194719 incoming packets delivered
    153380 requests sent out
    90 reassemblies required
    18 packets reassembled ok
Icmp:
    119 ICMP messages received
    19 input ICMP message failed.
    ICMP input histogram:
        destination unreachable: 119
    71 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
        destination unreachable: 71
IcmpMsg:
        InType3: 119
        OutType3: 71
Tcp:
    607 active connections openings
    5 passive connection openings
    137 failed connection attempts
    52 connection resets received
    11 connections established
    146453 segments received
    144254 segments send out
    269 segments retransmited
    0 bad segments received.
    248 resets sent
Udp:
    16474 packets received
    0 packets to unknown port received.
    0 packet receive errors
    16605 packets sent
UdpLite:
TcpExt:
    34 packets pruned from receive queue because of socket buffer overrun
    205 TCP sockets finished time wait in fast timer
    4209 delayed acks sent
    4 delayed acks further delayed because of locked socket
    Quick ack mode was activated 25 times
    86 packets directly queued to recvmsg prequeue.
    25080 bytes directly received in process context from prequeue
    90143 packet headers predicted
    85 packets header predicted and directly queued to user
    31811 acknowledgments not containing data payload received
    9199 predicted acknowledgments
    14 times recovered from packet loss by selective acknowledgements
    37 congestion windows recovered without slow start after partial ack
    3 TCP data loss events
    7 timeouts after SACK recovery
    132 fast retransmits
    1 forward retransmits
    29 retransmits in slow start
    79 other TCP timeouts
    2235 packets collapsed in receive queue due to low socket buffer
    90 DSACKs sent for old packets
    33 DSACKs received
    27 connections reset due to unexpected data
    43 connections reset due to early user close
    3 connections aborted due to timeout
    TCPDSACKIgnoredOld: 10
    TCPDSACKIgnoredNoUndo: 16
    TCPSackShifted: 1
    TCPSackMerged: 8
    TCPSackShiftFallback: 136
IpExt:
    InMcastPkts: 637
    OutMcastPkts: 40
    InBcastPkts: 31671
    OutBcastPkts: 28
    InOctets: 63338843
    OutOctets: 57177466
    InMcastOctets: 223572
    OutMcastOctets: 8594
    InBcastOctets: 2926663
    OutBcastOctets: 3207

*** Device features:
eth0: 0x110989
lo: 0x13865
vboxnet0: 0x0
wlan0: 0x2000

** PCI devices:
00:00.0 Host bridge [0600]: Advanced Micro Devices [AMD] RS880 Host Bridge
[1022:9601]
        Subsystem: Acer Incorporated [ALI] Device [1025:0429]
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort+ >SERR- <PERR- INTx-
        Latency: 0
        Capabilities: <access denied>

00:01.0 PCI bridge [0604]: Acer Incorporated [ALI] Device [1025:9602] (prog-if
00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 64
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
        I/O behind bridge: 00009000-00009fff
        Memory behind bridge: d0000000-d01fffff
        Prefetchable memory behind bridge: 00000000c0000000-00000000cfffffff
        Secondary status: 66MHz+ FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- <SERR- <PERR-
        BridgeCtl: Parity- SERR- NoISA+ VGA+ MAbort- >Reset- FastB2B-
                PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
        Capabilities: <access denied>

00:04.0 PCI bridge [0604]: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge
(PCIE port 0) [1022:9604] (prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 32 bytes
        Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
        I/O behind bridge: 0000a000-0000afff
        Memory behind bridge: d0200000-d02fffff
        Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- <SERR- <PERR-
        BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
                PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
        Capabilities: <access denied>
        Kernel driver in use: pcieport

00:05.0 PCI bridge [0604]: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge
(PCIE port 1) [1022:9605] (prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 32 bytes
        Bus: primary=00, secondary=06, subordinate=06, sec-latency=0
        Memory behind bridge: d0300000-d03fffff
        Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort+ <SERR- <PERR-
        BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
                PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
        Capabilities: <access denied>
        Kernel driver in use: pcieport

00:11.0 SATA controller [0106]: ATI Technologies Inc SB7x0/SB8x0/SB9x0 SATA
Controller [AHCI mode] [1002:4391] (prog-if 01 [AHCI 1.0])
        Subsystem: Acer Incorporated [ALI] Device [1025:0429]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 64
        Interrupt: pin A routed to IRQ 42
        Region 0: I/O ports at 8440 [size=8]
        Region 1: I/O ports at 8430 [size=4]
        Region 2: I/O ports at 8420 [size=8]
        Region 3: I/O ports at 8410 [size=4]
        Region 4: I/O ports at 8400 [size=16]
        Region 5: Memory at d0607c00 (32-bit, non-prefetchable) [size=1K]
        Capabilities: <access denied>
        Kernel driver in use: ahci

00:12.0 USB Controller [0c03]: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI0
Controller [1002:4397] (prog-if 10 [OHCI])
        Subsystem: Acer Incorporated [ALI] Device [1025:0429]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 64, Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 18
        Region 0: Memory at d0404000 (32-bit, non-prefetchable) [size=4K]
        Kernel driver in use: ohci_hcd

00:12.2 USB Controller [0c03]: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB EHCI
Controller [1002:4396] (prog-if 20 [EHCI])
        Subsystem: Acer Incorporated [ALI] Device [1025:0429]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 64, Cache Line Size: 32 bytes
        Interrupt: pin B routed to IRQ 17
        Region 0: Memory at d0607000 (32-bit, non-prefetchable) [size=256]
        Capabilities: <access denied>
        Kernel driver in use: ehci_hcd

00:13.0 USB Controller [0c03]: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI0
Controller [1002:4397] (prog-if 10 [OHCI])
        Subsystem: Acer Incorporated [ALI] Device [1025:0429]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 64, Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 18
        Region 0: Memory at d0405000 (32-bit, non-prefetchable) [size=4K]
        Kernel driver in use: ohci_hcd

00:13.2 USB Controller [0c03]: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB EHCI
Controller [1002:4396] (prog-if 20 [EHCI])
        Subsystem: Acer Incorporated [ALI] Device [1025:0429]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 64, Cache Line Size: 32 bytes
        Interrupt: pin B routed to IRQ 17
        Region 0: Memory at d0607400 (32-bit, non-prefetchable) [size=256]
        Capabilities: <access denied>
        Kernel driver in use: ehci_hcd

00:14.0 SMBus [0c05]: ATI Technologies Inc SBx00 SMBus Controller [1002:4385]
(rev 41)
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-

00:14.1 IDE interface [0101]: ATI Technologies Inc SB7x0/SB8x0/SB9x0 IDE
Controller [1002:439c] (rev 40) (prog-if 8a [Master SecP PriP])
        Subsystem: Acer Incorporated [ALI] Device [1025:0429]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 64
        Interrupt: pin B routed to IRQ 17
        Region 0: I/O ports at 01f0 [size=8]
        Region 1: I/O ports at 03f4 [size=1]
        Region 2: I/O ports at 0170 [size=8]
        Region 3: I/O ports at 0374 [size=1]
        Region 4: I/O ports at 8450 [size=16]
        Kernel driver in use: pata_atiixp

00:14.2 Audio device [0403]: ATI Technologies Inc SBx00 Azalia (Intel HDA)
[1002:4383] (rev 40)
        Subsystem: Acer Incorporated [ALI] Device [1025:0429]
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 64, Cache Line Size: 32 bytes
        Interrupt: pin ? routed to IRQ 16
        Region 0: Memory at d0400000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>
        Kernel driver in use: HDA Intel

00:14.3 ISA bridge [0601]: ATI Technologies Inc SB7x0/SB8x0/SB9x0 LPC host
controller [1002:439d] (rev 40)
        Subsystem: Acer Incorporated [ALI] Device [1025:0429]
        Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0

00:14.4 PCI bridge [0604]: ATI Technologies Inc SBx00 PCI to PCI Bridge
[1002:4384] (rev 40) (prog-if 01 [Subtractive decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 64
        Bus: primary=00, secondary=07, subordinate=07, sec-latency=64
        Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort+ <SERR- <PERR-
        BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
                PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-

00:16.0 USB Controller [0c03]: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI0
Controller [1002:4397] (prog-if 10 [OHCI])
        Subsystem: Acer Incorporated [ALI] Device [1025:0429]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 64, Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 18
        Region 0: Memory at d0406000 (32-bit, non-prefetchable) [size=4K]
        Kernel driver in use: ohci_hcd

00:16.2 USB Controller [0c03]: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB EHCI
Controller [1002:4396] (prog-if 20 [EHCI])
        Subsystem: Acer Incorporated [ALI] Device [1025:0429]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 64, Cache Line Size: 32 bytes
        Interrupt: pin B routed to IRQ 17
        Region 0: Memory at d0607800 (32-bit, non-prefetchable) [size=256]
        Capabilities: <access denied>
        Kernel driver in use: ehci_hcd

00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor
HyperTransport Configuration [1022:1200]
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
        Capabilities: <access denied>

00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor
Address Map [1022:1201]
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-

00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor
DRAM Controller [1022:1202]
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-

00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor
Miscellaneous Control [1022:1203]
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
        Capabilities: <access denied>
        Kernel driver in use: k10temp

00:18.4 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor
Link Control [1022:1204]
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-

01:05.0 VGA compatible controller [0300]: ATI Technologies Inc M880G [Mobility
Radeon HD 4200] [1002:9712] (prog-if 00 [VGA controller])
        Subsystem: Acer Incorporated [ALI] Device [1025:0429]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 18
        Region 0: Memory at c0000000 (32-bit, prefetchable) [size=256M]
        Region 1: I/O ports at 9000 [size=256]
        Region 2: Memory at d0100000 (32-bit, non-prefetchable) [size=64K]
        Region 5: Memory at d0000000 (32-bit, non-prefetchable) [size=1M]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: <access denied>
        Kernel driver in use: fglrx_pci

01:05.1 Audio device [0403]: ATI Technologies Inc RS880 Audio Device [Radeon HD
4200] [1002:970f]
        Subsystem: Acer Incorporated [ALI] Device [1025:0429]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 32 bytes
        Interrupt: pin B routed to IRQ 19
        Region 0: Memory at d0110000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>
        Kernel driver in use: HDA Intel

03:00.0 Ethernet controller [0200]: Atheros Communications AR8151 v1.0 Gigabit
Ethernet [1969:1073] (rev c0)
        Subsystem: Acer Incorporated [ALI] Device [1025:040d]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 43
        Region 0: Memory at d0200000 (64-bit, non-prefetchable) [size=256K]
        Region 2: I/O ports at a000 [size=128]
        Capabilities: <access denied>
        Kernel driver in use: atl1c

06:00.0 Network controller [0280]: Atheros Communications Inc. AR928X Wireless
Network Adapter (PCI-Express) [168c:002a] (rev 01)
        Subsystem: Foxconn International, Inc. Device [105b:e01f]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 17
        Region 0: Memory at d0300000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: <access denied>
        Kernel driver in use: ath9k



** USB devices:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 002: ID 0bda:0138 Realtek Semiconductor Corp. 
Bus 002 Device 002: ID 064e:a219 Suyin Corp. 1.3M WebCam (notebook emachines E730, Acer sub-brand)


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing-proposed-updates
  APT policy: (500, 'testing-proposed-updates'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.38-2-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.38     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98.8     tools for generating an initramfs
ii  linux-base                    3.2        Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.38-2-amd64 recommends:
ii  firmware-linux-free           3          Binary firmware for various driver

Versions of packages linux-image-2.6.38-2-amd64 suggests:
ii  extlinux                  2:4.03+dfsg-12 collection of boot loaders (ext2/3
ii  grub-pc                   1.99~rc1-13    GRand Unified Bootloader, version 
pn  linux-doc-2.6.38          <none>         (no description available)

Versions of packages linux-image-2.6.38-2-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
ii  firmware-linux-nonfree        0.29       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  linux-image-2.6.38-2-amd64/prerm/removing-running-kernel-2.6.38-2-amd64: true
  linux-image-2.6.38-2-amd64/postinst/missing-firmware-2.6.38-2-amd64:
  linux-image-2.6.38-2-amd64/postinst/ignoring-do-bootloader-2.6.38-2-amd64:
  linux-image-2.6.38-2-amd64/postinst/depmod-error-initrd-2.6.38-2-amd64: false




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#625507; Package linux-2.6. (Wed, 04 May 2011 01:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Zachary Buhman <zbuhman@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 04 May 2011 01:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 625507@bugs.debian.org (full text, mbox):

From: Zachary Buhman <zbuhman@gmail.com>
To: 625507@bugs.debian.org
Subject: kernel documentation also suggests to blacklist acer-wmi
Date: Tue, 03 May 2011 20:00:22 -0500
The acer-wmi documentation also suggests to blacklist acer-wmi on all
Aspire One laptops.

http://www.kernel.org/doc/Documentation/laptops/acer-wmi.txt





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#625507; Package linux-2.6. (Wed, 04 May 2011 01:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 04 May 2011 01:39:06 GMT) Full text and rfc822 format available.

Message #15 received at 625507@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Zachary Buhman <zbuhman@gmail.com>, 625507@bugs.debian.org
Subject: Re: Bug#625507: kernel documentation also suggests to blacklist acer-wmi
Date: Wed, 04 May 2011 02:38:54 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2011-05-03 at 20:00 -0500, Zachary Buhman wrote:
> The acer-wmi documentation also suggests to blacklist acer-wmi on all
> Aspire One laptops.
> 
> http://www.kernel.org/doc/Documentation/laptops/acer-wmi.txt

No, it says that it *is* blacklisted - which is true for some specific
Aspire One models.  However, the code also has specific support for many
other Aspire One models.

Did the driver work on this hardware in earlier kernel versions?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#625507; Package linux-2.6. (Wed, 04 May 2011 02:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Zachary Buhman <zbuhman@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 04 May 2011 02:15:03 GMT) Full text and rfc822 format available.

Message #20 received at 625507@bugs.debian.org (full text, mbox):

From: Zachary Buhman <zbuhman@gmail.com>
To: 625507@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#625507: kernel documentation also suggests to blacklist acer-wmi
Date: Tue, 03 May 2011 21:12:55 -0500
> Did the driver work on this hardware in earlier kernel versions?
> 
> Ben.

Yes, it worked in 2.6.32; I forgot to mention that.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#625507; Package linux-2.6. (Wed, 04 May 2011 03:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to zbuhman@gmail.com, 625507@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 04 May 2011 03:12:03 GMT) Full text and rfc822 format available.

Message #25 received at 625507@bugs.debian.org (full text, mbox):

From: Zachary Buhman <zbuhman@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>, 625507@bugs.debian.org
Subject: acer-wmi developer says the module doesn't do anything on the aspire one
Date: Tue, 03 May 2011 22:09:29 -0500
On Wed, 2011-05-04 at 02:38 +0100, Ben Hutchings wrote:
> No, it says that it *is* blacklisted - which is true for some specific
> Aspire One models.  

I seems like most (if not all) distributions are treating it more like a
suggestion.

> However, the code also has specific support for many
> other Aspire One models.

In http://code.google.com/p/aceracpi/wiki/SupportedHardware in the
Unsupported Acer Aspire section

"One series - But the WMI implementation on this laptop doesn't actually
do anything"

I don't see how both statements can be true simultaneously.  Because it
quite literally doesn't do anything--straight from the words of the
developer himself--and ends up breaking wireless, it makes sense to
blacklist it on all Aspire One models.

Zack Buhman





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#625507; Package linux-2.6. (Wed, 04 May 2011 03:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 04 May 2011 03:24:04 GMT) Full text and rfc822 format available.

Message #30 received at 625507@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: zbuhman@gmail.com, 625507@bugs.debian.org
Subject: Re: acer-wmi developer says the module doesn't do anything on the aspire one
Date: Wed, 04 May 2011 04:20:35 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2011-05-03 at 22:09 -0500, Zachary Buhman wrote:
> On Wed, 2011-05-04 at 02:38 +0100, Ben Hutchings wrote:
> > No, it says that it *is* blacklisted - which is true for some specific
> > Aspire One models.  
> 
> I seems like most (if not all) distributions are treating it more like a
> suggestion.
> 
> > However, the code also has specific support for many
> > other Aspire One models.
> 
> In http://code.google.com/p/aceracpi/wiki/SupportedHardware in the
> Unsupported Acer Aspire section
> 
> "One series - But the WMI implementation on this laptop doesn't actually
> do anything"
> 
> I don't see how both statements can be true simultaneously.

Indeed.  That statement is dated 2009 and the driver has moved on.

> Because it
> quite literally doesn't do anything--straight from the words of the
> developer himself--and ends up breaking wireless, it makes sense to
> blacklist it on all Aspire One models.

No.  You only have the evidence of your own model.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#625507; Package linux-2.6. (Wed, 04 May 2011 08:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Zack Buhman <zbuhman@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 04 May 2011 08:54:03 GMT) Full text and rfc822 format available.

Message #35 received at 625507@bugs.debian.org (full text, mbox):

From: Zack Buhman <zbuhman@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>, 625507@bugs.debian.org
Subject: Re: acer-wmi developer says the module doesn't do anything on the aspire one
Date: Wed, 04 May 2011 03:50:43 -0500
On Wed, 2011-05-04 at 04:20 +0100, Ben Hutchings wrote:
>Indeed.  That statement is dated 2009 and the driver has moved on.

I apologize; I assumed the documentation to be current and accurate.

> No.  You only have the evidence of your own model.
> Ben.

You're correct.  If the acer_wmi module isn't loaded while booting, one
of the problems I've noticed is that audio is very distorted and
scratchy.  The problem immediately goes away after you modprobe
acer_wmi, but the wireless drops out again.  After rmmod acer_wmi, the
audio interestingly is not impacted.

This seems to be a much bigger problem than I gave it credit for
initially.

Zack Buhman





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#625507; Package linux-2.6. (Wed, 04 May 2011 13:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 04 May 2011 13:36:03 GMT) Full text and rfc822 format available.

Message #40 received at 625507@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: Zack Buhman <zbuhman@gmail.com>, 625507@bugs.debian.org
Subject: Re: Bug#625507: acer-wmi developer says the module doesn't do anything on the aspire one
Date: Wed, 4 May 2011 15:15:49 +0200
Did the driver work on this hardware in earlier kernel versions?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#625507; Package linux-2.6. (Wed, 04 May 2011 21:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Zack Buhman <zbuhman@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 04 May 2011 21:42:05 GMT) Full text and rfc822 format available.

Message #45 received at 625507@bugs.debian.org (full text, mbox):

From: Zack Buhman <zbuhman@gmail.com>
To: Geert Stappers <stappers@stappers.nl>, 625507@bugs.debian.org
Subject: Re: Bug#625507: acer-wmi developer says the module doesn't do anything on the aspire one
Date: Wed, 04 May 2011 16:39:18 -0500
On Wed, 2011-05-04 at 15:15 +0200, Geert Stappers wrote:
> Did the driver work on this hardware in earlier kernel versions?

Yes, it worked in 2.6.32.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#625507; Package linux-2.6. (Tue, 31 May 2011 09:37:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Zack Buhman <zbuhman@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 31 May 2011 09:37:07 GMT) Full text and rfc822 format available.

Message #50 received at 625507@bugs.debian.org (full text, mbox):

From: Zack Buhman <zbuhman@gmail.com>
To: 625507@bugs.debian.org
Subject: Bug fixed upstream
Date: Tue, 31 May 2011 04:35:43 -0500
I compiled kernel 3.0.0-rc1 a few hours ago, and this issue appears to
be fixed completely.  This bug can be closed.





Added tag(s) fixed-upstream. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 31 May 2011 13:45:16 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 03 Jun 2011 05:09:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#625507; Package linux-2.6. (Tue, 21 Feb 2012 23:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 21 Feb 2012 23:33:03 GMT) Full text and rfc822 format available.

Message #59 received at 625507@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Zack Buhman <zbuhman@gmail.com>
Cc: 625507@bugs.debian.org
Subject: Re: acer-wmi: acer-wmi kernel module causes wireless to not work
Date: Tue, 21 Feb 2012 17:28:32 -0600
Zack Buhman wrote:

> I compiled kernel 3.0.0-rc1 a few hours ago, and this issue appears to
> be fixed completely.  This bug can be closed.

Thanks!  Just to check, is this fixed in the distro kernel from
wheezy/sid, too?




Reply sent to Moritz Muehlenhoff <jmm@inutil.org>:
You have taken responsibility. (Tue, 25 Jun 2013 17:33:19 GMT) Full text and rfc822 format available.

Notification sent to Zachary Buhman <zbuhman@gmail.com>:
Bug acknowledged by developer. (Tue, 25 Jun 2013 17:33:19 GMT) Full text and rfc822 format available.

Message #64 received at 625507-done@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Zack Buhman <zbuhman@gmail.com>
Cc: 625507-done@bugs.debian.org
Subject: Re: Bug fixed upstream
Date: Tue, 25 Jun 2013 19:29:10 +0200
Version: 3.0-1

On Tue, May 31, 2011 at 04:35:43AM -0500, Zack Buhman wrote:
> I compiled kernel 3.0.0-rc1 a few hours ago, and this issue appears to
> be fixed completely.  This bug can be closed.

Thanks, marking as closed.

Cheers,
        Moritz



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 24 Jul 2013 07:26:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:34:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.